## com.arsdigita.cms.docmgr.search
Interface Searcher

All Known Implementing Classes:
  IntermediaSearcher, LuceneSearcher

public interface Searcher

Method Summary
`SearchResults` `advancedSearch(String terms, String author, String mimeType, BigDecimal workspaceID, Date lastModifiedStartDate, Date lastModifiedEndDate, String[] types, String[] sections, com.arsdigita.kernel.User user, Collection categoryIDs)`
`SearchResults` `simpleSearch(String terms, com.arsdigita.kernel.User user)`

Method Detail

### simpleSearch

    public SearchResults simpleSearch(String terms,
                                      com.arsdigita.kernel.User user)

### advancedSearch

    public SearchResults advancedSearch(String terms,
                                        String author,
                                        String mimeType,
                                        BigDecimal workspaceID,
                                        Date lastModifiedStartDate,
                                        Date lastModifiedEndDate,
                                        String[] types,
                                        String[] sections,
                                        com.arsdigita.kernel.User user,
                                        Collection categoryIDs)

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC